﻿using UnityEngine;

namespace AudioMate
{
    public interface IUIComponent
    {
        void Init(AudioMateController controller);
        void Bind();
        void OnActiveCollectionSelected(CollectionManager.ActiveCollectionSelectedEventArgs eventArgs);
        void OnActiveCollectionUpdated();
        void OnActiveCollectionNameChanged(CollectionManager.ActiveCollectionNameChangedEventArgs eventArgs);
        void OnContainingAtomNameChanged(AudioMateController.ContainingAtomNameChangedEventArgs eventArgs);
    }
}
